KWIN_CONVERT_TO_CANVAS_COORD(3)

FUNCTION
kwin_convert_to_canvas_coord - Convert low-level co-ordinates to pixel co-ordinates.

SYNOPSIS
#include <karma_kwin.h>

flag kwin_convert_to_canvas_coord

(KPixCanvas canvas, int xin, int yin, int *xout, int *yout)

DESCRIPTION
This routine will convert co-ordinates in a lower level object (parent, ie. X window) to co-ordinates in a pixel canvas.

canvas
    The canvas.

xin The lower level horizontal co-ordinate.

yin The lower level vertical co-ordinate.

xout
    The horizontal canvas co-ordinate will be written here.

yout
    The vertical canvas co-ordinate will be written here.

RETURN VALUE
TRUE if the co-ordinate lies within the canvas boundaries, else FALSE (although a conversion is still performed).

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/